manaable REST API
What's manaableAbout Us
What's manaableAbout Us
  1. Trainings
  • Introduction
  • イントロダクション
  • API v3
    • Members
      • Get Members
      • Get Member by ID
    • Teams
      • Get Teams
      • Get Team by ID
  • API v2
    • Trainings
      • List trainings / 研修一覧取得
        GET
      • Count trainings / 研修件数取得
        GET
      • Get training custom field definitions / 研修カスタムフィールド定義取得
        GET
      • Get training by ID / 研修詳細取得
        GET
      • Update training / 研修情報更新
        PATCH
      • Delete training / 研修削除
        DELETE
    • Applicants
      • List applicants / 申込者一覧取得
      • Bulk create/update applicants (upsert) / 申込者一括作成/更新 (upsert)
      • Count applicants / 申込者件数取得
      • Bulk update applicant status / 申込ステータス一括更新
    • Members
      • List members / メンバー一覧取得
      • Bulk create/update members / メンバー一括作成/更新
      • Get member custom field definitions / メンバーカスタムフィールド定義取得
      • Get member by ID / メンバー詳細取得
      • Update member / メンバー情報更新
      • Delete member / メンバー削除
      • Update member password / メンバーパスワード更新
    • Teams
      • List teams / チーム一覧取得
      • Bulk create/update teams / チーム一括作成/更新
      • Get team custom field definitions / チームカスタムフィールド定義取得
      • Get team by ID / チーム詳細取得
      • Update team / チーム情報更新
      • Delete team / チーム削除
  • API v1
    • Get member groups
      GET
  • Schemas
    • Schemas
      • ContactForm
      • Exam
      • ExamResult
      • Lesson
      • LessonAttempt
      • Notification
      • Settings
      • StaticFieldsSetting
      • TeamMember
      • TrainingQuestionnaireResponse
      • TrainingQuestionnaireTemplate
      • TrainingRegTemplate
      • TrainingTaskResponse
      • TrainingTaskTemplate
      • UnsubscriptionQuestionnaire
    • Training
    • Member
    • Team
    • TrainingApplication
    • CustomFieldMaster
    • CustomFieldData
    • ErrorResponse
    • SuccessResponse
    • ValidationErrorResponse
  1. Trainings

Count trainings / 研修件数取得

GET
/trainings/count
Returns the count of trainings matching the given conditions. Filter parameters are the same as GET /trainings.
条件に合致する研修の件数を返す。フィルタパラメータは GET /trainings と同一。
limit/offset are not applicable. / ただし limit/offset は不要。

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Query Params

Responses

🟢200
application/json
Success / 成功
Bodyapplication/json

🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/trainings/count?from=undefined&to=undefined&excluded_groups_action=undefined&display_member_groups=undefined&application_form_end_date=undefined&application_form_start_date=undefined&start_date=undefined&end_date=undefined&lesson_start_date=undefined&lesson_end_date=undefined&lesson_status=undefined' \
--header 'api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "count": 0
}
Modified at 2026-06-18 02:44:25
Previous
List trainings / 研修一覧取得
Next
Get training custom field definitions / 研修カスタムフィールド定義取得
Built with